import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsApp } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-20 14:10
 */
interface DevopsAppCU extends ConditionUtil<DevopsAppCU> {
    ID: FieldUtil<DevopsAppCU>;
    APP_NAME: FieldUtil<DevopsAppCU>;
    APP_CODE: FieldUtil<DevopsAppCU>;
    APP_TYPE: FieldUtil<DevopsAppCU>;
    BUSINESS_AREA: FieldUtil<DevopsAppCU>;
    BUSINESS_GROUP: FieldUtil<DevopsAppCU>;
    CONTEXT: FieldUtil<DevopsAppCU>;
    APP_PORT: FieldUtil<DevopsAppCU>;
    MONITOR_PORT: FieldUtil<DevopsAppCU>;
    CURRENT_VERSION: FieldUtil<DevopsAppCU>;
    HEALTH_URL: FieldUtil<DevopsAppCU>;
    WEB_SERVER: FieldUtil<DevopsAppCU>;
    DEV_LANGUAGE: FieldUtil<DevopsAppCU>;
    ENV_CODE: FieldUtil<DevopsAppCU>;
    RUNNING_STATE: FieldUtil<DevopsAppCU>;
    REMARK: FieldUtil<DevopsAppCU>;
    CREATE_TIME: FieldUtil<DevopsAppCU>;
    UPDATE_TIME: FieldUtil<DevopsAppCU>;
    HOST_IP: FieldUtil<DevopsAppCU>;
}
declare class DevopsAppMU extends TableUtilImpl<DevopsAppCU, DevopsApp> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsAppCU;
    static get ID(): FieldUtil<DevopsAppCU>;
    static get APP_NAME(): FieldUtil<DevopsAppCU>;
    static get APP_CODE(): FieldUtil<DevopsAppCU>;
    static get APP_TYPE(): FieldUtil<DevopsAppCU>;
    static get BUSINESS_AREA(): FieldUtil<DevopsAppCU>;
    static get BUSINESS_GROUP(): FieldUtil<DevopsAppCU>;
    static get CONTEXT(): FieldUtil<DevopsAppCU>;
    static get APP_PORT(): FieldUtil<DevopsAppCU>;
    static get MONITOR_PORT(): FieldUtil<DevopsAppCU>;
    static get CURRENT_VERSION(): FieldUtil<DevopsAppCU>;
    static get HEALTH_URL(): FieldUtil<DevopsAppCU>;
    static get WEB_SERVER(): FieldUtil<DevopsAppCU>;
    static get DEV_LANGUAGE(): FieldUtil<DevopsAppCU>;
    static get ENV_CODE(): FieldUtil<DevopsAppCU>;
    static get RUNNING_STATE(): FieldUtil<DevopsAppCU>;
    static get REMARK(): FieldUtil<DevopsAppCU>;
    static get CREATE_TIME(): FieldUtil<DevopsAppCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsAppCU>;
    static get HOST_IP(): FieldUtil<DevopsAppCU>;
    static get CLOUD_PLATFORM(): FieldInfo;
    static get INSTANCE_ID(): FieldInfo;
    static get INSTANCE_NAME(): FieldInfo;
    get ID(): FieldUtil<DevopsAppCU>;
    get APP_NAME(): FieldUtil<DevopsAppCU>;
    get APP_CODE(): FieldUtil<DevopsAppCU>;
    get APP_TYPE(): FieldUtil<DevopsAppCU>;
    get BUSINESS_AREA(): FieldUtil<DevopsAppCU>;
    get BUSINESS_GROUP(): FieldUtil<DevopsAppCU>;
    get CONTEXT(): FieldUtil<DevopsAppCU>;
    get APP_PORT(): FieldUtil<DevopsAppCU>;
    get MONITOR_PORT(): FieldUtil<DevopsAppCU>;
    get CURRENT_VERSION(): FieldUtil<DevopsAppCU>;
    get HEALTH_URL(): FieldUtil<DevopsAppCU>;
    get WEB_SERVER(): FieldUtil<DevopsAppCU>;
    get DEV_LANGUAGE(): FieldUtil<DevopsAppCU>;
    get ENV_CODE(): FieldUtil<DevopsAppCU>;
    get RUNNING_STATE(): FieldUtil<DevopsAppCU>;
    get REMARK(): FieldUtil<DevopsAppCU>;
    get CREATE_TIME(): FieldUtil<DevopsAppCU>;
    get UPDATE_TIME(): FieldUtil<DevopsAppCU>;
    get HOST_IP(): FieldUtil<DevopsAppCU>;
    get CLOUD_PLATFORM(): FieldInfo;
    get INSTANCE_ID(): FieldInfo;
    get INSTANCE_NAME(): FieldInfo;
}
export { DevopsAppMU, DevopsAppCU };
